Cisco Anyconnect broken by glibc-2.37-5 works with glibc-2.37-1

Cisco Anyconnect throws server certificate error after authentication.
Fix is to downgrade to previous glibc libraries.

revert:
sudo dnf downgrade glibc*

exclude glibc during update:
sudo dnf update --excludepkgs=glibc*

Anyconnect - #4 by fweimer

the problem was fixed in 2.37-6 but came back after update to 2.37-10
The Fedora ticket is 2239304 – glibc: Revert ELF destructor ordering changes